diff -ur slackware64-current.4/source/a/bzip2/bzip2.SlackBuild slackware64-current.5/source/a/bzip2/bzip2.SlackBuild
--- slackware64-current.4/source/a/bzip2/bzip2.SlackBuild	2021-09-18 13:54:56.723441722 +0200
+++ slackware64-current.5/source/a/bzip2/bzip2.SlackBuild	2021-09-18 14:16:11.147115690 +0200
@@ -64,6 +64,12 @@
 chown -R root:root .
 # This should be ok, since libbz2.so.1.0 will still exist.
 zcat $CWD/bzip2.saneso.diff.gz | patch -p1 || exit
+
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 make -f Makefile-libbz2_so || exit 1
 make -j3 || make || exit 1
 mkdir -p $PKG/usr/include
diff -ur slackware64-current.4/source/a/coreutils/coreutils.SlackBuild slackware64-current.5/source/a/coreutils/coreutils.SlackBuild
--- slackware64-current.4/source/a/coreutils/coreutils.SlackBuild	2024-05-11 06:11:46.797736079 +0200
+++ slackware64-current.5/source/a/coreutils/coreutils.SlackBuild	2021-09-18 14:16:11.237120192 +0200
@@ -107,6 +107,11 @@
   zcat $CWD/coreutils.wc.noavx2.diff.gz | patch -p1 --verbose || exit 1
 fi
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 # Compilation with glibc version later than 2.3.2 needs the environment
 # variable DEFAULT_POSIX2_VERSION set to 199209.
 # Without that line, the coreutils will start complaining about 'obsolete'
diff -ur slackware64-current/source/a/file/file.SlackBuild slackware64-current.2/source/a/file/file.SlackBuild
--- slackware64-current/source/a/file/file.SlackBuild	2021-04-24 20:21:48.579002339 +0200
+++ slackware64-current.2/source/a/file/file.SlackBuild	2021-09-18 13:40:05.548450139 +0200
@@ -128,7 +128,7 @@
 
 # The generated $TMP/file-$VERSION/libtool is buggy.  I don't know if this is supposed
 # to work, but it certainly does, so... :-)
-cat $(which libtool) > libtool
+\cp $(which libtool) libtool
 
 make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
diff -ur slackware64-current.4/source/a/findutils/findutils.SlackBuild slackware64-current.5/source/a/findutils/findutils.SlackBuild
--- slackware64-current.4/source/a/findutils/findutils.SlackBuild	2022-02-09 09:29:30.892865318 +0100
+++ slackware64-current.5/source/a/findutils/findutils.SlackBuild	2021-09-18 14:16:11.357126195 +0200
@@ -79,6 +79,11 @@
 # like to be yelled at.
 zcat $CWD/findutils.no.default.options.warnings.diff.gz | patch -p1 --verbose || exit 1
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current.4/source/a/gawk/gawk.SlackBuild slackware64-current.5/source/a/gawk/gawk.SlackBuild
--- slackware64-current.4/source/a/gawk/gawk.SlackBuild	2021-09-18 13:54:59.483581122 +0200
+++ slackware64-current.5/source/a/gawk/gawk.SlackBuild	2021-09-18 14:16:11.397128195 +0200
@@ -82,6 +82,11 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current.4/source/a/grep/grep.SlackBuild slackware64-current.5/source/a/grep/grep.SlackBuild
--- slackware64-current.4/source/a/grep/grep.SlackBuild	2021-09-18 13:55:00.253620013 +0200
+++ slackware64-current.5/source/a/grep/grep.SlackBuild	2021-09-18 14:16:11.427129696 +0200
@@ -80,6 +80,11 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current.4/source/a/gzip/gzip.SlackBuild slackware64-current.5/source/a/gzip/gzip.SlackBuild
--- slackware64-current.4/source/a/gzip/gzip.SlackBuild	2021-09-03 20:08:56.025098048 +0200
+++ slackware64-current.5/source/a/gzip/gzip.SlackBuild	2021-09-18 14:16:11.497133198 +0200
@@ -78,6 +78,11 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 # Configure:
 CFLAGS="$SLKCFLAGS" \
 ./configure \
diff -ur slackware64-current.4/source/a/infozip/infozip.SlackBuild slackware64-current.5/source/a/infozip/infozip.SlackBuild
--- slackware64-current.4/source/a/infozip/infozip.SlackBuild	2024-05-11 19:53:53.268839511 +0200
+++ slackware64-current.5/source/a/infozip/infozip.SlackBuild	2021-09-18 14:16:11.547135699 +0200
@@ -67,6 +67,10 @@
 zcat $CWD/zip-patches/zip.gnu89.diff.gz | patch -p1 --verbose || exit 1
 
 chown -R root:root .
+
+# End of preparations
+if ! echo "$*" | grep -qw -- --prep ; then
+
 mkdir -p $PKG/usr/doc/zip-$ZIP
 cp -a BUGS CHANGES INSTALL LICENSE README* TODO US* WHATSNEW WHERE \
       $PKG/usr/doc/zip-$ZIP
@@ -82,6 +86,8 @@
   cat $page | gzip -9c > $PKG/usr/man/man1/$(basename $page).gz
 done
 
+fi
+
 cd $TMP
 rm -rf unzip$(echo $VERSION | tr -d .)
 tar xvf $CWD/unzip$(echo $VERSION | tr -d .).tar.?z* || exit 1
@@ -118,6 +124,10 @@
 zcat $CWD/unzip-patches/unzip.gnu89.diff.gz | patch -p1 --verbose || exit 1
 
 chown -R root:root .
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
 mkdir -p $PKG/usr/doc/unzip-$VERSION
 cp -a BUGS COPYING* Contents History.* INSTALL LICENSE README ToDo WHERE \
       $PKG/usr/doc/unzip-$VERSION
diff -ur slackware64-current.4/source/a/patch/patch.SlackBuild slackware64-current.5/source/a/patch/patch.SlackBuild
--- slackware64-current.4/source/a/patch/patch.SlackBuild	2021-02-13 06:31:51.628945647 +0100
+++ slackware64-current.5/source/a/patch/patch.SlackBuild	2021-09-18 14:16:11.587137700 +0200
@@ -82,6 +82,11 @@
 # This avoids failure in tests/ expecting an old automake:
 autoreconf -vif
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current.4/source/a/sed/sed.SlackBuild slackware64-current.5/source/a/sed/sed.SlackBuild
--- slackware64-current.4/source/a/sed/sed.SlackBuild	2021-02-13 06:31:51.854945635 +0100
+++ slackware64-current.5/source/a/sed/sed.SlackBuild	2021-09-18 14:16:11.617139200 +0200
@@ -74,6 +74,11 @@
 find . -perm 777 -exec chmod 755 {} \+
 find . -perm 664 -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current.4/source/a/tar/tar.SlackBuild slackware64-current.5/source/a/tar/tar.SlackBuild
--- slackware64-current.4/source/a/tar/tar.SlackBuild	2021-02-15 21:30:28.394219234 +0100
+++ slackware64-current.5/source/a/tar/tar.SlackBuild	2021-09-18 14:16:11.657141201 +0200
@@ -114,6 +119,11 @@
 # The "A lone zero block at %s" messages also cause problems:
 zcat $CWD/tar.nolonezero.diff.gz | patch -p1 --verbose || exit 1
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 FORCE_UNSAFE_CONFIGURE=1 \
 CFLAGS="$SLKCFLAGS" \
 ./configure \
diff -ur slackware64-current.4/source/a/util-linux/util-linux.SlackBuild slackware64-current.5/source/a/util-linux/util-linux.SlackBuild
--- slackware64-current.4/source/a/util-linux/util-linux.SlackBuild	2024-11-22 00:39:08.532194081 +0100
+++ slackware64-current.5/source/a/util-linux/util-linux.SlackBuild	2021-09-18 14:16:11.687142702 +0200
@@ -132,6 +132,11 @@
 # /dev/ram* devices in 'fdisk -l' output:
 zcat $CWD/util-linux.do.not.list.ram.devices.diff.gz | patch -p1 --verbose || exit 1
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current.4/source/a/which/which.SlackBuild slackware64-current.5/source/a/which/which.SlackBuild
--- slackware64-current.4/source/a/which/which.SlackBuild	2021-02-13 06:31:52.399945605 +0100
+++ slackware64-current.5/source/a/which/which.SlackBuild	2021-09-18 14:16:11.707143702 +0200
@@ -62,6 +62,11 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS=-O2 \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current.4/source/a/xz/xz.SlackBuild slackware64-current.5/source/a/xz/xz.SlackBuild
--- slackware64-current.4/source/a/xz/xz.SlackBuild	2024-10-02 21:32:49.231575901 +0200
+++ slackware64-current.5/source/a/xz/xz.SlackBuild	2021-09-18 14:16:11.737145203 +0200
@@ -90,6 +90,11 @@
   fi
 fi
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS" \
 CXXFLAGS="$SLKCFLAGS" \
 ./configure \
diff -ur slackware64-current.4/source/ap/diffutils/diffutils.SlackBuild slackware64-current.5/source/ap/diffutils/diffutils.SlackBuild
--- slackware64-current.4/source/ap/diffutils/diffutils.SlackBuild	2021-08-02 19:46:24.447773799 +0200
+++ slackware64-current.5/source/ap/diffutils/diffutils.SlackBuild	2021-09-18 14:16:11.807148705 +0200
@@ -77,6 +77,11 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current.4/source/d/gcc/gcc.SlackBuild slackware64-current.5/source/d/gcc/gcc.SlackBuild
--- slackware64-current.4/source/d/gcc/gcc.SlackBuild	2021-09-18 13:55:15.734400727 +0200
+++ slackware64-current.5/source/d/gcc/gcc.SlackBuild	2021-09-18 14:16:11.847150706 +0200
@@ -205,6 +205,11 @@
   \( -perm 664 \) \
   -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 # Install docs:
 mkdir -p $PKG1/usr/doc/gcc-$VERSION
 cp -a \
diff -ur slackware64-current.4/source/d/make/make.SlackBuild slackware64-current.5/source/d/make/make.SlackBuild
--- slackware64-current.4/source/d/make/make.SlackBuild	2023-02-27 20:42:19.553111459 +0100
+++ slackware64-current.5/source/d/make/make.SlackBuild	2021-09-18 14:16:11.897153207 +0200
@@ -77,6 +77,11 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 # Configure:
 CFLAGS="$SLKCFLAGS" \
 ./configure \
diff -ur slackware64-current.4/source/l/glibc/glibc.SlackBuild slackware64-current.5/source/l/glibc/glibc.SlackBuild
--- slackware64-current.4/source/l/glibc/glibc.SlackBuild	2024-09-08 15:17:03.913740920 +0200
+++ slackware64-current.5/source/l/glibc/glibc.SlackBuild	2024-09-08 15:22:13.998566882 +0200
@@ -287,6 +287,11 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 # Main function to build glibc:
 build_glibc() {
   CFLAGS="-g $OPTIMIZ" \
diff -ur slackware64-current.4/source/l/isl/isl.SlackBuild slackware64-current.5/source/l/isl/isl.SlackBuild
--- slackware64-current.4/source/l/isl/isl.SlackBuild	2024-09-02 20:02:00.536002472 +0200
+++ slackware64-current.5/source/l/isl/isl.SlackBuild	2021-09-18 14:16:12.047160710 +0200
@@ -82,6 +82,11 @@
 # Add AArch64 architecture (and new architectures):
 \cp /usr/share/libtool/build-aux/config.* .
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 # Configure, build, and install:
 CFLAGS="$SLKCFLAGS" \
 CXXFLAGS="$SLKCFLAGS" \
diff -ur slackware64-current.4/source/l/libmpc/libmpc.SlackBuild slackware64-current.5/source/l/libmpc/libmpc.SlackBuild
--- slackware64-current.4/source/l/libmpc/libmpc.SlackBuild	2022-12-17 21:26:40.614073074 +0100
+++ slackware64-current.5/source/l/libmpc/libmpc.SlackBuild	2021-09-18 14:16:12.097163211 +0200
+++ libmpc.SlackBuild	2025-01-07 15:20:36.181553047 +0100
@@ -79,6 +79,11 @@
 # Add AArch64 architecture (and new architectures):
 \cp /usr/share/libtool/build-aux/config.* build-aux/
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current.4/source/l/zlib/zlib.SlackBuild slackware64-current.5/source/l/zlib/zlib.SlackBuild
--- slackware64-current.4/source/l/zlib/zlib.SlackBuild	2021-09-18 13:55:43.755798599 +0200
+++ slackware64-current.5/source/l/zlib/zlib.SlackBuild	2021-09-18 14:16:12.157166213 +0200
@@ -76,6 +76,11 @@
   \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
   -exec chmod 644 {} \+
 
+# End of preparations
+if echo "$*" | grep -qw -- --prep ; then
+  exit 0
+fi
+
 CFLAGS="$SLKCFLAGS -D_DONOTFORCE_TIME_BITS" \
 ./configure \
   --prefix=/usr \
diff -ur slackware64-current/source/x/mesa/mesa.SlackBuild slackware64-current.2/source/x/mesa/mesa.SlackBuild
--- slackware64-current/source/x/mesa/mesa.SlackBuild	2024-12-19 23:30:45.086125005 +0100
+++ slackware64-current.2/source/x/mesa/mesa.SlackBuild	2021-09-18 13:40:06.588502625 +0200
@@ -179,6 +179,10 @@
 
   "${NINJA:=ninja}" $NUMJOBS || exit 1
   DESTDIR=$PKG $NINJA install || exit 1
+  if [ "$BUILD_DEMOS" = "YES" ]; then
+    # Install on system to build demos
+    $NINJA install || exit 1
+  fi
 cd ..
 
 # Install /etc/drirc as a .new file:
